$(function(){
    
    $(".less").click(function(){
       $("#less").dialog("open");
       $("#less input[name='less_product']").val($(this).attr("rel"));
	return false;
    });
    
    
    $("#less").dialog({
        autoOpen: false,
        resizable: false,
        height: "auto",
        width: 520,
        modal: true,
        show: "blind",
	hide: "explode",
        open:function(event, ui) { $("html").focus(); },
        title: "Нашли дешевле?",
        buttons: {
            "Отправить": function() {
                $("html").focus();

		var arrless = [];
		$("#less input").each(function(i)
		{		    
			arrless[i] = $(this).attr('name')+'='+$(this).val();
		});
                
                $.ajax({
                    type: "POST",
                    url: "/index.php?route=information/less",
                    cache: false,
                    dataType: "html",
                    data: arrless.join('&'),
                    success: function(data){
$("#error").html(data);
if( data.search('<ul>') != -1 ){
			$("#error").dialog({
                            resizable: false,
                            height:"auto",
                            width: 350,
                            modal: true,
                            title: "Ошибка ввода",
                            buttons:{
                                Ok: function(){
                                    $(this).dialog("close");
                                }
                            }
                        });
}else{
                       $("#less").dialog("close");
                        $("#error").dialog({
                            resizable: false,
                            height:"auto",
                            width: 350,
                            modal: true,
                            title: "Зявка сформирована",
                            buttons:{
                                Ok: function(){
                                    $(this).dialog("close");
                                }
                            }
                        });
}
                    },
                    error: function(error){

                    }
                });
                return false;
            },
            "Отмена": function() {
                $(this).dialog("close");
            }
        }
    });
});


